.container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  column-gap: 16px;
  row-gap: 20px;
}

@media (max-width: 480px) {
  .container {
    grid-template-columns: 1fr;
  }
}

@media (min-width: 481px) and (max-width: 750px) {
  .container {
    grid-template-columns: 1fr 1fr;
  }
}

@media (min-width: 751px) and (max-width: 999px) {
  .container {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

.video-info-grid {
  display: grid;
  grid-template-columns: 50px 1fr;
}

.profile-picture {
  width: 36px;
  border-radius: 50px;
}

.thumbnail {
  width: 100%;
}

.video-title {
  margin-top: 0;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  margin-bottom: 9px;
}

.video-author,
.video-stats {
  font-size: 12px;
  color: rgb(96, 96, 96);
}

.video-author {
  margin-bottom: 5px;
}

.video-preview {
  margin-bottom: 20px;
}

.thumbnail-row {
  margin-bottom: 5px;
  position: relative;
}

.video-time {
  background-color: rgba(0, 0, 0, 0.6);
  color: white;
  position: absolute;
  bottom: 13px;
  right: 5px;
  font-size: 12px;
  font-weight: 500;
  padding: 3px 3px;
  border-radius: 3px;
}


.video-link,
.channel-link {
    text-decoration: none;
    color: inherit;
}